Package com.salesforce.datacloud.jdbc.core.accessor.impl

## Class TimeVectorAccessor

- java.lang.Object
- - com.salesforce.datacloud.jdbc.core.accessor.QueryJDBCAccessor
  - - com.salesforce.datacloud.jdbc.core.accessor.impl.TimeVectorAccessor

All Implemented Interfaces:
  `org.apache.calcite.avatica.util.Cursor.Accessor`

    public class TimeVectorAccessor
    extends QueryJDBCAccessor

### Field Summary

### Fields inherited from class com.salesforce.datacloud.jdbc.core.accessor.QueryJDBCAccessor

`wasNull, wasNullConsumer`

### Constructor Summary

Constructors
`TimeVectorAccessor​(org.apache.arrow.vector.TimeMicroVector vector, IntSupplier currentRowSupplier, QueryJDBCAccessorFactory.WasNullConsumer setCursorWasNull)`
`TimeVectorAccessor​(org.apache.arrow.vector.TimeMilliVector vector, IntSupplier currentRowSupplier, QueryJDBCAccessorFactory.WasNullConsumer setCursorWasNull)`
`TimeVectorAccessor​(org.apache.arrow.vector.TimeNanoVector vector, IntSupplier currentRowSupplier, QueryJDBCAccessorFactory.WasNullConsumer setCursorWasNull)`
`TimeVectorAccessor​(org.apache.arrow.vector.TimeSecVector vector, IntSupplier currentRowSupplier, QueryJDBCAccessorFactory.WasNullConsumer setCursorWasNull)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Object` `getObject()`
`Class<?>` `getObjectClass()`
`String` `getString()`
`Time` `getTime​(Calendar calendar)`
`Timestamp` `getTimestamp​(Calendar calendar)`
`protected static TimeUnit` `getTimeUnitForVector​(org.apache.arrow.vector.ValueVector vector)`

### Methods inherited from class com.salesforce.datacloud.jdbc.core.accessor.QueryJDBCAccessor

`getArray, getAsciiStream, getBigDecimal, getBigDecimal, getBinaryStream, getBlob, getBoolean, getByte, getBytes, getCharacterStream, getClob, getCurrentRow, getDate, getDouble, getFloat, getInt, getLong, getNCharacterStream, getNClob, getNString, getObject, getObject, getRef, getShort, getSQLXML, getStruct, getUnicodeStream, getURL, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TimeVectorAccessor

    public TimeVectorAccessor​(org.apache.arrow.vector.TimeNanoVector vector,
                              IntSupplier currentRowSupplier,
                              QueryJDBCAccessorFactory.WasNullConsumer setCursorWasNull)
                       throws SQLException

Throws:
  `SQLException`

#### TimeVectorAccessor

    public TimeVectorAccessor​(org.apache.arrow.vector.TimeMicroVector vector,
                              IntSupplier currentRowSupplier,
                              QueryJDBCAccessorFactory.WasNullConsumer setCursorWasNull)
                       throws SQLException

Throws:
  `SQLException`

#### TimeVectorAccessor

    public TimeVectorAccessor​(org.apache.arrow.vector.TimeMilliVector vector,
                              IntSupplier currentRowSupplier,
                              QueryJDBCAccessorFactory.WasNullConsumer setCursorWasNull)
                       throws SQLException

Throws:
  `SQLException`

#### TimeVectorAccessor

    public TimeVectorAccessor​(org.apache.arrow.vector.TimeSecVector vector,
                              IntSupplier currentRowSupplier,
                              QueryJDBCAccessorFactory.WasNullConsumer setCursorWasNull)
                       throws SQLException

Throws:
  `SQLException`

### Method Detail

#### getObjectClass

    public Class<?> getObjectClass()

Specified by:
  `getObjectClass` in class `QueryJDBCAccessor`

#### getObject

    public Object getObject()

Specified by:
  `getObject` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Overrides:
  `getObject` in class `QueryJDBCAccessor`

#### getTime

    public Time getTime​(Calendar calendar)

Specified by:
  `getTime` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Overrides:
  `getTime` in class `QueryJDBCAccessor`
Parameters:
  `calendar` - Calendar passed in. Ignores the calendar
Returns:
  the Time relative to 00:00:00 assuming timezone is UTC

#### getTimestamp

    public Timestamp getTimestamp​(Calendar calendar)

Specified by:
  `getTimestamp` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Overrides:
  `getTimestamp` in class `QueryJDBCAccessor`
Parameters:
  `calendar` - Calendar passed in. Ignores the calendar
Returns:
  the Timestamp relative to 00:00:00 assuming timezone is UTC

#### getString

    public String getString()

Specified by:
  `getString` in interface `org.apache.calcite.avatica.util.Cursor.Accessor`
Overrides:
  `getString` in class `QueryJDBCAccessor`

#### getTimeUnitForVector

    protected static TimeUnit getTimeUnitForVector​(org.apache.arrow.vector.ValueVector vector)
                                            throws SQLException

Throws:
  `SQLException`